*RealFormat "%.6g"
*IntFormat "%7i"
problem type *GenData(Analysis_type)
*set var dim=3
# meassure(SI) = fac** meassure(User defined)
units_names
N-m       N    m  Pa         1.0       1.0      1.0
N-cm      N   cm  N/cm2      1.0       1.0e-2   1.0e4
N-mm      N   mm  N/mm2      1.0       1.0e-3   1.0e6
Kp-cm     Kp  cm  Kp/cm2     1.0e1     1.0e-2   1.0e5
kN-m-MPa  kN   m  Mpa        1.0e3     1.0      1.0e6
end units_names
units_mesh *GenData(Mesh_units)
units_res *GenData(Results_units)

combined_load_cases
*if(strcmp(GenData(Activate_Load_Cases),"none")==0)
inactive
*else
active
*endif
*for(i=1;i<=GenData(Combined_load_cases,INT);i=i+3)
*set var im1=i+1
*set var im2=i+2
combined_load *\
name=*GenData(Combined_load_cases,*i) type=*\
*if(GenData(Combined_load_cases,*im1,INT)==1)
strengths
*else
deformation
*endif
*GenData(Combined_load_cases,*im2)
end combined_load
*endfor
end combined_load_cases

GravityDirection=*GenData(Gravity_X) *GenData(Gravity_Y) *GenData(Gravity_Z)
NumOfDivisions=*GenData(Beam_Res_granularity)
*if(strcmp(Gendata(Shell_Internal_6-noded_elem),"yes")==0)
ConvertTo6Nodes
*endif
*if(strcmp(Gendata(Shell_Res_axes),"Both")==0)
MainAndLocalStresses
*elseif(strcmp(Gendata(Shell_Res_axes),"Main_axes")==0)
MainStresses
*endif
*if(strcmp(Gendata(Output_shell_stresses),"yes")==0)
ShellStressesUpDown
*endif
OutputBeamsMaximums *Gendata(Output_beams_maximums)
*if(strcmp(Gendata(Solver_type),"Automatic")==0)
solver=Automatic
*elseif(strcmp(Gendata(Solver_type),"SkyLine")==0)
solver=SkyLine
*elseif(strcmp(Gendata(Solver_type),"Sparse")==0)
solver=SparseToni *GenData(Solver_tolerance) *GenData(Solver_tolerance_minimum) *\
*GenData(Solver_max_iterations)
*elseif(strcmp(Gendata(Solver_type),"Sparse_Toni")==0)
solver=SparseToni *GenData(Solver_tolerance) *GenData(Solver_tolerance_minimum) *\
*GenData(Solver_max_iterations)
*endif
*if(strcmp(Gendata(Shell_Smooth_Res),"yes")==0)
*# 20 degrees
DoSmoothing 0.35
*endif
NewPostProcessFormat 1
CoplanarityAngle=5e-3
*if(GenData(Consider_beam_P-Delta,INT)==1)
ConsiderPDelta
*endif

*if(nelem(Hexahedra))
*MessageBox error: Hexahedra elements are not permitted.
*endif
*set cond Steel_section *elems
*set var numbars(int)=CondNumEntities
*set cond Concrete_rec_section *elems
*set var numbars(int)=numbars+CondNumEntities
*set cond Section *elems
*set var numbars(int)=numbars+CondNumEntities
*set cond Rectangular_Section *elems
*set var numbars(int)=numbars+CondNumEntities
*if(numbars>nelem(Linear) && nelem(Linear)==0)
*MessageBox error: There are no beam elements but conditions Section,Rectangular_Section, Steel_section or Concrete_rec_section have been used.
*elseif(numbars>nelem(Linear))
Total number of assigned conditions=*numbars
Beam elements=*nelem(Linear)
*MessageBox error: Some beams elements have repeated properties condition. Probably have condition 'Section' and/or condition 'Rectangular section' and/or Steel_Section and/or Concrete_rec_section applied to them. Check file .dat for more information.
*elseif(numbars<nelem(Linear))
Total number of assigned conditions=*numbars
Beam elements=*nelem(Linear)
*MessageBox error: Some beams do not have properties condition assigned. Check file .dat for more information.
*endif
*set var AreCoordsWritten(int)=0
*#--------------------------------------------------------------------------------
*#      linear mesh
*#--------------------------------------------------------------------------------
*if(numbars>0)
*if(IsQuadratic)
*MessageBox error: Beam elements cannot be quadratic.
*endif
mesh dimension = *dim elemtype Linear nnode = 2
coordinates
*loop nodes
*NodesNum *NodesCoord(1) *NodesCoord(2) *\
*if(dim==3)
*NodesCoord(3)
*else

*endif
*end
end coordinates
*set var AreCoordsWritten=1
elements
*set cond Section *elems
*if(dim==2)
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 A=*cond(Area) I=*cond(Inertia_z) E=*cond(E)*\
Weight=*cond(Specific_weight)*\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*else
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) A=*cond(Area) Iy=*cond(Inertia_y) *\
Iz=*cond(Inertia_z) J=*cond(J) G=*cond(G) E=*cond(E) Weight=*cond(Specific_weight)*\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*endif
*set cond Rectangular_Section *elems
*if(dim==2)
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) *\
widthY=*cond(Width_y) widthZ=*cond(Width_Z) *\
E=*cond(E) Weight=*cond(Specific_weight)*\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
end elements
*else
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) *\
widthY=*cond(Width_y) widthZ=*cond(Width_Z) *\
G=*cond(G) E=*cond(E) Weight=*cond(Specific_weight)*\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*endif (dim==2)
*set cond Concrete_rec_section *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) *\
widthY=*cond(Width_y) widthZ=*cond(Width_z) *\
HA=*cond(Concrete) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*set cond Steel_section *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Section *cond(SteelName) *\
Steel=*cond(SteelType) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
end elements
*endif  si hi ha barres
*#--------------------------------------------------------------------------------
*#      shell mesh
*#--------------------------------------------------------------------------------
*set cond Anisotropic_Shell *elems
*set var NumAnisotropicElems=CondNumEntities
*set cond Concrete_Shell *elems
*set var NumConcreteElems=CondNumEntities
*set cond Steel_Shell *elems
*set var NumSteelElems=CondNumEntities
*set cond Shell *elems
*set var NumIsotropicElems=CondNumEntities
*if(NumAnisotropicElems+NumIsotropicElems+NumConcreteElems+NumSteelElems>nelem(Triangle)+nelem(Quadrilateral))
---------------------ERROR--------------------
error: Some triangle or quadrilateral elements have repeated properties condition. 
Probably have condition 'Shell' and/or condition 'Anisotropic shell' and/or 
condition 'Concrete shell' and/or condition 'Steel shell' applied to them.
NumElems=*nelem(Triangle)+*nelem(Quadrilateral)
NumIsotropicElems=*NumIsotropicElems
NumAnisotropicElems=*NumAnisotropicElems
NumConcreteElems=*NumConcreteElems
NumSteelElems=*NumSteelElems
*MessageBox error: Some triangle or quadrilateral elements have repeated properties condition. Probably have condition 'Shell' and/or  condition 'Anisotropic shell' and/or condition 'Concrete shell' and/or condition 'Steel shell' applied to them.
*elseif(NumAnisotropicElems+NumIsotropicElems+NumConcreteElems+NumSteelElems<nelem(Triangle)+nelem(Quadrilateral))
*MessageBox error: Some triangles or quadrilaterals do not have properties condition assigned.
*endif
*if(nelem(Triangle))
*set elems(Triangle)
*if(IsQuadratic)
*set var nnodetri=6
*else
*set var nnodetri=3
*endif
*#--------------------------------------------------------------------------------
*#      triangle shell mesh
*#--------------------------------------------------------------------------------
mesh dimension = 3 elemtype Triangle nnode = *nnodetri
coordinates
*if(AreCoordsWritten==0)
*loop nodes
*NodesNum *NodesCoord(1) *NodesCoord(2) *NodesCoord(3)
*end
*endif
*set var AreCoordsWritten=1
end coordinates
elements
*set cond Shell *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) E=*cond(E) nu=*cond(nu) *\
Weight=*cond(Specific_weight) t=*cond(Thickness) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*#--------------------------------------------------------------------------------
*#      triangle Anisotropic shell mesh
*#--------------------------------------------------------------------------------
*set cond Anisotropic_Shell *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) Ex=*cond(Ex) Ey=*cond(Ey) nuXY=*cond(nuXY) *\
nuYX=*cond(nuYX) Gxy=*cond(Gxy) Gxz=*cond(Gxz) Gyz=*cond(Gyz) *\ 
Weight=*cond(Specific_weight) t=*cond(Thickness) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*#--------------------------------------------------------------------------------
*#      triangle concrete shell mesh
*#--------------------------------------------------------------------------------
*set cond Concrete_Shell *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) t=*cond(Thickness) HA=*cond(Concrete) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*#--------------------------------------------------------------------------------
*#      triangle steel shell mesh
*#--------------------------------------------------------------------------------
*set cond Steel_Shell *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) t=*cond(Thickness) Steel=*cond(Steel) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
end elements
*endif si hi ha shell triangle
*#--------------------------------------------------------------------------------
*#      Quads
*#--------------------------------------------------------------------------------
*if(nelem(Quadrilateral))
*#--------------------------------------------------------------------------------
*#      temporaly, Quads are not permmited
*#--------------------------------------------------------------------------------
*MessageBox error: Quadrilateral elements are not permitted.
*set elems(Quadrilateral)
*if(IsQuadratic)
*MessageBox error: Cuadratic Quadrilateral elements are not permitted.
*endif
mesh dimension = 3 elemtype Quadrilateral nnode = 4
coordinates
*if(AreCoordsWritten==0)
*loop nodes
*NodesNum *NodesCoord(1) *NodesCoord(2) *NodesCoord(3)
*end
*endif
*set var AreCoordsWritten=1
end coordinates
elements
*#--------------------------------------------------------------------------------
*#      Quad shell mesh
*#--------------------------------------------------------------------------------
*set cond Shell *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) Ex=*cond(E) Ey=*cond(E) nu=*cond(nu) *\
G=*operation(cond(E,REAL)/(2.0*(1.0+cond(nu,REAL)))) *\
Weight=*cond(Specific_weight) t=*cond(Thickness) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*#--------------------------------------------------------------------------------
*#      Quad Anisotropic shell mesh
*#--------------------------------------------------------------------------------
*set cond Anisotropic_Shell *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) Ex=*cond(Ex) Ey=*cond(Ey) nuXY=*cond(nuXY) *\
nuYX=*cond(nuYX) Gxy=*cond(Gxy) Gxz=*cond(Gxz) Gyz=*cond(Gyz) *\ 
Weight=*cond(Specific_weight) t=*cond(Thickness) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*#--------------------------------------------------------------------------------
*#      Quad concrete shell mesh
*#--------------------------------------------------------------------------------
*set cond Concrete_Shell *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) t=*cond(Thickness) HA=*cond(Concrete) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
*#--------------------------------------------------------------------------------
*#      Quad steel shell mesh
*#--------------------------------------------------------------------------------
*set cond Steel_Shell *elems
*loop elems *OnlyInCond
*elemsnum *elemsConec 0 Units=*cond(Units) t=*cond(Thickness) Steel=*cond(Steel) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end elems
end elements
*endif si hi ha shell quadrilateral
*#--------------------------------------------------------------------------------
*#  Activating all elements again
*#--------------------------------------------------------------------------------
*set elems(All)
*#--------------------------------------------------------------------------------
*#  constraints
*#--------------------------------------------------------------------------------
constraints
*set Cond Line_Constraints
*add Cond Point_Constraints
*if(dim==2)
*loop nodes *OnlyInCond
*NodesNum *\
*for(ivar=2;ivar<3;ivar=ivar+1)
*cond(*ivar)*\
*endfor
*cond(7)*\
*format " %g %g %g"
*cond(X_Value,real)*cond(X_Value,real)*cond(Mz_Value,real) *\
units=*cond(Units) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
*else
*loop nodes *OnlyInCond
*NodesNum *\
*for(ivar=2;ivar<=7;ivar=ivar+1)
*cond(*ivar)*\
*endfor
*format " %g %g %g %g %g %g"
*cond(9,real)*cond(10,real)*cond(11,real)*cond(12,real)*cond(13,real)*cond(14,real)*\
 units=*cond(Units) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
*endif
*set Cond Point_Elastic_Constraints
*loop nodes *OnlyInCond
*NodesNum *\
*for(ivar=2;ivar<=7;ivar=ivar+1)
*if(strcmp(cond(*ivar),"1")==0)
2*\
*else
0*\
*endif
*endfor
*format " %g %g %g %g %g %g"
*cond(9,real)*cond(10,real)*cond(11,real)*cond(12,real)*cond(13,real)*cond(14,real)*\
 units=*cond(Units) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end constraints
*set Cond Surface_Elastic_Constraints
*add Cond Line_Elastic_Constraints
*if(CondNumEntities(int)>0)
elem_constraints
*loop elems *OnlyInCond
*ElemsNum *\
*for(ivar=2;ivar<=7;ivar=ivar+1)
*if(strcmp(cond(*ivar),"1")==0)
2*\
*else
0*\
*endif
*endfor
*format " %g %g %g %g %g %g"
*cond(9,real)*cond(10,real)*cond(11,real)*cond(12,real)*cond(13,real)*cond(14,real)*\
 units=*cond(Units) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end elem_constraints
*endif
*#--------------------------------------------------------------------------------
*#  rotules and disconnecting degrees
*#--------------------------------------------------------------------------------
*Set Cond Rotules
*if(CondNumEntities(int)>0)
rotules
*loop nodes *OnlyInCond
*NodesNum
*end
end rotules
*endif
*Set Cond Beam_Rotules
*if(CondNumEntities(int)>0)
# Remember that 0 means rotule and that 1 means rigid
elem_rotules
*loop elems *OnlyInCond
*ElemsNum *\
*if(strcmp(cond(Initial_rotule),"YES")==0 && strcmp(cond(End_rotule),"YES")==0)
00
*elseif(strcmp(cond(Initial_rotule),"YES")==0 && strcmp(cond(End_rotule),"NO")==0)
01
*elseif(strcmp(cond(Initial_rotule),"NO")==0 && strcmp(cond(End_rotule),"YES")==0)
10
*else
11
*endif
*end
end elem_rotules
*endif
*set cond Line_disconnect_degrees *nodes *CanRepeat
*add cond Point_disconnect_degrees *nodes *CanRepeat
*if(CondNumEntities(int)>0)
rotules
*loop nodes *OnlyInCond
*NodesNum *Cond(Disconnect_x_displacement)*Cond(Disconnect_y_displacement)*\
*Cond(Disconnect_z_displacement)*Cond(Disconnect_x_rotation)*Cond(Disconnect_y_rotation)*\
*Cond(Disconnect_z_rotation) name=*cond(Identifier) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end rotules
*endif
*Set Cond Surface_disconnect_Id *elems *CanRepeat
*Add Cond Line_disconnect_Id *elems *CanRepeat
*if(CondNumEntities(int)>0)
elem_rotules
*loop elems *OnlyInCond
*ElemsNum name=*cond(Identifier)
*end
end elem_rotules
*endif
*#--------------------------------------------------------------------------------
*#  loads
*#--------------------------------------------------------------------------------
*loop intervals
*Set Cond Global_Beam_Load *elems
*Add Cond Global_Shell_Load *elems
*if(CondNumEntities(int)>0)
global_pressure_loads
*if(dim==2)
*loop elems *OnlyInCond
*elemsnum *cond(X_Pressure) *cond(Y_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
*else
*loop elems *OnlyInCond
*elemsnum *cond(X_Pressure) *cond(Y_Pressure) *cond(Z_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
*endif
end global_pressure_loads
*endif
*Set Cond Global_Projected_Shell_Load *elems
*if(CondNumEntities(int)>0)	
global_projected_pressure_loads
*loop elems *OnlyInCond
*elemsnum *cond(X_Pressure) *cond(Y_Pressure) *cond(Z_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end global_projected_pressure_loads
*endif
*Set Cond Shell_Face_Load *elems *CanRepeat
*if(CondNumEntities(int)>0)
face_loads
*loop elems *OnlyInCond
*elemsnum *Operation(LocalNodes(1)-1) *cond(X_Pressure) *cond(Y_Pressure) *\
*cond(Z_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end face_loads
*endif
*Set Cond Global_Projected_Beam_Load *elems
*if(CondNumEntities(int)>0)
global_projected_pressure_loads
*if(dim==2)
*loop elems *OnlyInCond
*elemsnum *cond(X_Pressure) *cond(Y_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
*else
*loop elems *OnlyInCond
*elemsnum *cond(X_Pressure) *cond(Y_Pressure) *cond(Z_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
*endif
end global_projected_pressure_loads
*endif
*Set Cond Local_Beam_Load *elems
*if(CondNumEntities(int)>0)
local_pressure_loads
*if(dim==2)
*loop elems *OnlyInCond
*elemsnum *cond(Local_X_Pressure) *cond(Local_Y_Pressure)	 *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
*else
*loop elems *OnlyInCond
*elemsnum *cond(Local_X_Pressure) *cond(Local_Y_Pressure) *\
*cond(Local_Z_Pressure) *cond(Local_Mx_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
*endif
end local_pressure_loads
*endif
*Set Cond Local_Shell_Load *elems
*if(CondNumEntities(int)>0)
local_pressure_loads
*loop elems *OnlyInCond
*elemsnum *cond(Local_X_Pressure) *cond(Local_Y_Pressure) *\
*cond(Local_Z_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end local_pressure_loads
*endif
*Set Cond Punctual_Load
*if(CondNumEntities(int)>0)
nodal_point_loads
*if(dim==2)
*loop nodes *OnlyInCond
*NodesNum *cond(X_Force) *cond(Y_Force) *cond(Mz_Force) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
*else
*loop nodes *OnlyInCond
*NodesNum *cond(X_Force) *cond(Y_Force) *cond(Z_Force) *\
*cond(Mx_Force) *cond(My_Force) *cond(Mz_Force) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
*endif
end nodal_point_loads
*endif
*Set Cond Beam_Temperature *elems
*if(CondNumEntities(int)>0)
temperature_loads
*loop elems *OnlyInCond
*elemsnum *cond(alpha) *cond(Delta_T) name=*IntvData(Interval_name)
*end
end temperature_loads
*endif
*Set Cond Self_weight_Beam
*Add cond Self_weight_shell
*if(CondNumEntities(int)>0)
self_weight_loads
*loop elems *OnlyInCond
*elemsnum name=*IntvData(Interval_name)
*end
end self_weight_loads
*endif
*Set Cond Shell_triangular_face_Load *elems
*if(CondNumEntities(int)>0)
triangular_face_loads
*loop elems *OnlyInCond
*elemsnum *Operation(LocalNodes(1)-1) *cond(X_pressure_1) *cond(Y_pressure_1) *\
*cond(Z_pressure_1) *cond(X_pressure_2) *cond(Y_pressure_2) *cond(Z_pressure_2) *\
p *cond(X_point_1) *cond(Y_point_1) *cond(Z_point_1) *cond(X_point_2) *cond(Y_point_2) *\
*cond(Z_point_2) *\
Units=*cond(Units) name=*IntvData(Interval_name) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end triangular_face_loads
*endif
*Set Cond Shell_triangular_Load *elems
*if(CondNumEntities(int)>0)
triangular_global_loads
*loop elems *OnlyInCond
*elemsnum *cond(X_pressure_1) *cond(Y_pressure_1) *\
*cond(Z_pressure_1) *cond(X_pressure_2) *cond(Y_pressure_2) *cond(Z_pressure_2) *\
p *cond(X_point_1) *cond(Y_point_1) *cond(Z_point_1) *cond(X_point_2) *cond(Y_point_2) *\
*cond(Z_point_2) *\
Units=*cond(Units) name=*IntvData(Interval_name) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end triangular_global_loads
*endif
*Set Cond Shell_hydrostatic_face_Load *elems
*if(CondNumEntities(int)>0)
hydrostatic_loads
*loop elems *OnlyInCond
*elemsnum *Operation(LocalNodes(1)-1) *cond(Reference_coordinate) *cond(Self_weight_water) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end hydrostatic_loads
*endif
*Set Cond Shell_hydrostatic_Load *elems
*if(CondNumEntities(int)>0)
hydrostatic_loads
*loop elems *OnlyInCond
*elemsnum *cond(Reference_coordinate) *cond(Self_weight_water) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end hydrostatic_loads
*endif
*end intervals
